<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.212
Name: Diagnosis Section
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000">
   <title>Diagnosis Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.212
Context: *[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]]
Item: (DiagnosisSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.212
Context: *[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]
Item: (DiagnosisSection)
-->

   <rule context="*[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]"
         id="d18e5247-false-d97585e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="string(@classCode)=('DOCSECT')">(DiagnosisSection): de waarde van @classCode MOET 'DOCSECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212'])&gt;=1">(DiagnosisSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212'])&lt;=1">(DiagnosisSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="count(hl7:code[(@code='22637-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1">(DiagnosisSection): element hl7:code[(@code='22637-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="count(hl7:code[(@code='22637-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(DiagnosisSection): element hl7:code[(@code='22637-3' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(DiagnosisSection): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(DiagnosisSection): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(DiagnosisSection): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(DiagnosisSection): element hl7:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="count(hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.430']]])&gt;=1">(DiagnosisSection): element hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.430']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.212
Context: *[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']
Item: (DiagnosisSection)
-->

   <rule context="*[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']"
         id="d18e5251-false-d97660e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnosisSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.36.10.212')">(DiagnosisSection): de waarde van @root MOET '2.16.840.1.113883.2.4.3.36.10.212' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.212
Context: *[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]/hl7:code[(@code='22637-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (DiagnosisSection)
-->

   <rule context="*[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]/hl7:code[(@code='22637-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d18e5256-false-d97676e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnosisSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="@nullFlavor or (@code='22637-3' and @codeSystem='2.16.840.1.113883.6.1')">(DiagnosisSection): de elementwaarde MOET een zijn van 'code '22637-3' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.212
Context: *[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]/hl7:title[not(@nullFlavor)]
Item: (DiagnosisSection)
-->

   <rule context="*[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]/hl7:title[not(@nullFlavor)]"
         id="d18e5261-false-d97693e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnosisSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="text()='Conclusie en diagnosen' or text()='Conclusie'">(DiagnosisSection): de element content van hl7:title[not(@nullFlavor)] MOET ''Conclusie en diagnosen' of 'Conclusie'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.212
Context: *[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]/hl7:text[not(@nullFlavor)]
Item: (DiagnosisSection)
-->

   <rule context="*[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]/hl7:text[not(@nullFlavor)]"
         id="d18e5270-false-d97711e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnosisSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.212
Context: *[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]/hl7:entry[@typeCode='DRIV'][hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]]
Item: (DiagnosisSection)
-->
   <rule context="*[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]/hl7:entry[@typeCode='DRIV'][hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="string(@typeCode)=('DRIV')">(DiagnosisSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.212
Context: *[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]/hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.430']]]
Item: (DiagnosisSection)
-->
   <rule context="*[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.212']]/hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.430']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171129T141006/tmp-2.16.840.1.113883.2.4.3.36.10.212-2017-02-13T000000.html"
              test="string(@typeCode)=('DRIV')">(DiagnosisSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
